Summary:	POSIX regexp functions
Name:		librx
Version:	1.5
Release:	%mkrel 5
License:	GPLv2+
URL:		http://www.gnu.org/software/rx/rx.html
Group:		Text tools
Source0:	ftp://ftp.gnu.org/gnu/rx/rx-%{version}.tar.bz2
Patch0:		rx-1.5-shared.patch
Patch1:		rx-1.5-texinfo.patch
Patch2:		librx-1.5-libdir64.patch
Patch3:		rx-libtool.patch
BuildRequires:	texinfo libtool

%description
Rx is, among other things, an implementation of the interface
specified by POSIX for programming with regular expressions.  Some
other implementations are GNU regex.c and Henry Spencer's regex
library.

%package devel
Summary:	POSIX regexp functions, developers library
Group:		Development/C
Requires:	%{name} = %{version}-%{release}

%description devel
Rx is, among other things, an implementation of the interface
specified by POSIX for programming with regular expressions.  Some
other implementations are GNU regex.c and Henry Spencer's regex
library.

This package contains files needed for development with librx.

%prep
%setup -q -n rx-%{version}
%patch0 -p1
%patch1 -p1 -b .texipatch
%ifarch x86_64 ppc64 sparc64
%patch2 -p1 -b .64bit
%endif
%patch3 -p1

%build
%configure2_5x --disable-static
%make
make doc/rx.info

%install
mkdir -p %{buildroot}%{_infodir}
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_includedir}
%makeinstall_std
install -m 644 doc/rx.info %{buildroot}%{_infodir}
rm -rf %{buildroot}%{_libdir}/librx.la
chmod -x %{buildroot}%{_includedir}/rxposix.h

%post devel
%_install_info rx.info

%postun devel
%_remove_install_info rx.info

%files
%{_libdir}/*.so.*

%files devel
%doc ANNOUNCE BUILDING COOKOFF rx/ChangeLog
%{_includedir}/*
%{_infodir}/*
%{_libdir}/*.so


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.5-5.mga4
+ Revision: 507325
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.5-4.mga3
+ Revision: 358122
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 fwang <fwang> 1.5-3.mga3
+ Revision: 305794
- cleanup spec

* Thu Mar 24 2011 rtp <rtp> 1.5-3.mga1
+ Revision: 77140
- fix libtool usage

  + ennael <ennael>
    - clean spec file
    - imported package librx


* Sun Jul 27 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.5-3mdv2009.0
+ Revision: 250466
- rebuild
- fix no-buildroot-tag

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Jan 21 2008 Emmanuel Andry <eandry@mandriva.org> 1.5-1mdv2008.1
+ Revision: 155447
- fix devel group
- add BR libtool
- fix group
- import librx


